#    guppy Copyright (C) 2010-2011 guppy team members.
#
#    This program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
#    This is free software, and you are welcome to redistribute it
#    under certain conditions; type `show c' for details.
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#  
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#  
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#  MA 02110-1301, USA.

# ctcp module
# --gry


@plugin
class ctcp(object):
    """Add support for CTCP source, CTCP version."""
    def __init__(self, server):
        self.server = server
        self.commands = []
        self.server.handle("message", self.handle_message)
    
    def handle_message(self, channel, nick, message):
        if message.find("\001") == -1: return
        ctcp_type = message.replace("\001","",2).strip().lower()
        if ctcp_type == "version":self.server.doNotice(nick,"\001VERSION guppy "+self.server.config["version"]+"\001")
        if ctcp_type == "source":self.server.doNotice(nick,"\001VERSION http://repo.or.cz/w/guppy.git\001")
